Summary:	UPnP AV MediaServer
Name:		gerbera
Version:	1.0.0
Release:	4
License:	GPLv2+
Group:		Networking/Remote access
Url:		https://gerbera.io/
Source0:	https://github.com/v00d00/gerbera/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
Source1:	gerbera.logrotate
Source2:	80-gerbera.preset
Source3:	gerbera.service
Source4:	gerbera.conf
Source5:	gerbera-tmpfiles.conf
BuildRequires:	cmake
BuildRequires:	duktape-devel
BuildRequires:	magic-devel
BuildRequires:	mariadb-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libupnp-1.8)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
Suggests:	youtube-dl
Requires(pre,post,postun):	rpm-helper
Requires(post,preun):	systemd

%description
UPnP AV MediaServer for Linux.

%files
%doc AUTHORS README.md ChangeLog.md
%{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_presetdir}/80-%{name}.preset
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%defattr(-,%{name},%{name})
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%ghost %dir /run/%{name}
%ghost %{_logdir}/%{name}

%pre
# Create a user
%_pre_useradd %{name} %{_sysconfdir}/%{name} /bin/false

%post
%systemd_post %{name}.service

# Create initial log file so that logrotate doesn't complain
if [ $1 = 1 ]; then
   %create_ghostfile %{_logdir}/%{name} %{name} %{name} 644
fi

%preun
%systemd_preun %{name}.service

%postun
%_postun_userdel %{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake \
	-DWITH_TAGLIB:BOOL=OFF
%make

%install
install -D -m 0644 %{SOURCE2} %{buildroot}%{_presetdir}/80-%{name}.preset
install -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
install -D -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{name}.conf

%makeinstall_std -C build

mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -D -m 644 %{SOURCE5} %{buildroot}%{_tmpfilesdir}/%{name}.conf

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}/run/%{name}

%changelog

* Mon Aug 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.0-4
- (a233230) Build without taglib support because current taglib version is too old


